Go to documentation repository
Get a list of Axxon domain archives.
POST http://IP-address:port/prefix/grpc
Request body:
{
"method": "axxonsoft.bl.domain.DomainService.ListArchives",
"data": { "filter": "", "view": "VIEW_MODE_FULL", "page_token": "", "page_size": 1000}
}
The response will contain a list of archives. Take the value of the access_point parameter for the required archive:
"access_point": "hosts/Server1/MultimediaStorage.AliceBlue/MultimediaStorage"
Note
The response will contain the page_token parameter if the number of archives (including the built-in ones) is greater than the value of the page_size parameter.
Get the archive occupation percentage.
POST http://IP-address:port/prefix/grpc
Request body:
{"method": "axxonsoft.bl.statistics.StatisticService.GetStatistics","data": { "keys": { "type": "SPT_ArchiveUsage", "name": "hosts/Server1/MultimediaStorage.AliceBlue/MultimediaStorage" }}}
where "name" is the value of the access_point parameter from the first request.
Response:
{
"stats": [
{
"hint": "",
"key": {
"type": "SPT_ArchiveUsage",
"name": "hosts/Server1/MultimediaStorage.AliceBlue/MultimediaStorage"
},
"labels": [],
"value_double": 27.851564407348633
}
],
"fails": []
}
value_double is the the archive occupation percentage.
Get information about the archive contents.
POST http://IP-address:port/prefix/grpc
Request body:
{
"method": "axxonsoft.bl.archive.ArchiveService.GetRecordingInfo",
"data": { "update_cache": false, "access_point": "hosts/Server1/MultimediaStorage.AliceBlue/MultimediaStorage"}
}
where "access_point" is taken from the first request.
Response:
{
"recording_info": {
"system_size": "292",
"recording_size": "30134",
"recording_rate": "303597",
"capacity": "30720",
"last_update": "1551865173"
}
}
where "capacity" is the archive size in megabytes.